Summary:	Web development studio
Name:		bluefish
Version:	2.2.8
Release:	%mkrel 2
URL:		http://bluefish.openoffice.nl/
License:	GPLv2+
Group:		Networking/WWW
Source0:	http://www.bennewitz.com/bluefish/stable/source/%{name}-%{version}.tar.bz2
BuildRequires: pkgconfig(enchant)
BuildRequires: pkgconfig(gdk-3.0)
BuildRequires: pkgconfig(gdk-pixbuf-2.0)
BuildRequires: pkgconfig(gio-unix-2.0) >= 2.16
BuildRequires: pkgconfig(glib-2.0)
BuildRequires: pkgconfig(gmodule-2.0) >= 2.16
BuildRequires: pkgconfig(gobject-2.0)
BuildRequires: pkgconfig(gthread-2.0)
BuildRequires: pkgconfig(gtk+-3.0)
BuildRequires: pkgconfig(gucharmap-2.90)
BuildRequires: pkgconfig(libxml-2.0)
BuildRequires: pkgconfig(pango)
BuildRequires: intltool
BuildRequires: desktop-file-utils
# needed for validating RELAX NG
BuildRequires:	libxml2-utils
# needed for checking the manpages
BuildRequires:	man
Requires(post): libxml2-utils
Requires(postun): libxml2-utils

%description
Bluefish is a programmer's HTML editor, designed to save the experienced
webmaster some keystrokes.

It features a multiple file editor, multiple toolbars, custom menus, image
and thumbnail dialogs, open from the web, HTML validation, and lots of wizards.

This is not a WYSIWYG editor but an HTML editor (you edit the HTML code).

%prep
%setup -q

%build
%configure2_5x \
	--disable-update-databases \
	--disable-xml-catalog-update \
        --enable-python
%make

%install
%makeinstall_std

rm -rf %{buildroot}%{_libdir}/%{name}/*.la

%find_lang %{name} --all-name

desktop-file-install --dir %{buildroot}%{_datadir}/applications/ \
	%{buildroot}%{_datadir}/applications/*.desktop

%post
/usr/bin/xmlcatalog --noout --add 'delegateURI' \
    'http://bluefish.openoffice.nl/ns/bflang/2.0/' '%{_datadir}/xml/%{name}' \
    %{_sysconfdir}/xml/catalog > /dev/null || :

%postun
if [ "$1" = 0 ]; then
    /usr/bin/xmlcatalog --noout --del \
        'http://bluefish.openoffice.nl/ns/bflang/2.0/' \
        %{_sysconfdir}/xml/catalog > /dev/null || :
fi

%files -f %{name}.lang
%doc AUTHORS README ChangeLog NEWS TODO
%exclude /usr/share/doc/bluefish/bflang/sample.bflang2
%{_bindir}/%{name}
%{_libdir}/%{name}
%{_datadir}/%{name}
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/xml/%{name}
%{_datadir}/applications/*
%{_datadir}/pixmaps/*.png
%{_datadir}/mime/packages/*
%{_mandir}/man1/%name.1.*
%{_iconsdir}/*/*/*/*


%changelog
* Sat Jan 21 2017 doktor5000 <doktor5000> 2.2.8-2.mga6
+ Revision: 1082795
- explicitly enable zencoding plugin via --enable-python (mga#20152)

* Wed Feb 10 2016 shlomif <shlomif> 2.2.8-1.mga6
+ Revision: 953301
- New version 2.2.8 + Some typos correction

* Thu Oct 22 2015 tv <tv> 2.2.7-2.mga6
+ Revision: 894220
- fix build: exclude some doc

* Sun Jun 21 2015 shlomif <shlomif> 2.2.7-1.mga6
+ Revision: 837713
- New version 2.2.7

* Fri Oct 17 2014 luigiwalser <luigiwalser> 2.2.6-5.mga5
+ Revision: 769611
- fix syntax error in postun scriplet (mga#14310)

* Wed Oct 15 2014 umeabot <umeabot> 2.2.6-4.mga5
+ Revision: 739172
- Second Mageia 5 Mass Rebuild

* Thu Sep 18 2014 umeabot <umeabot> 2.2.6-3.mga5
+ Revision: 693509
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 2.2.6-2.mga5
+ Revision: 678181
- Mageia 5 Mass Rebuild

* Tue Apr 22 2014 fwang <fwang> 2.2.6-1.mga5
+ Revision: 617350
- 2.2.6

* Tue Feb 04 2014 fwang <fwang> 2.2.5-1.mga5
+ Revision: 581605
- update file list
- new version 2.2.5

* Sat Oct 19 2013 umeabot <umeabot> 2.2.4-2.mga4
+ Revision: 530174
- Mageia 4 Mass Rebuild

* Sat Jul 20 2013 fwang <fwang> 2.2.4-1.mga4
+ Revision: 456407
- new version 2.2.4

* Fri Jan 11 2013 umeabot <umeabot> 2.2.3-2.mga3
+ Revision: 346923
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jun 27 2012 fwang <fwang> 2.2.3-1.mga3
+ Revision: 264279
- fix desktop file
- new version 2.2.3

* Wed Feb 29 2012 fwang <fwang> 2.2.2-1.mga2
+ Revision: 215977
- new version 2.2.2

* Fri Dec 23 2011 fwang <fwang> 2.2.1-1.mga2
+ Revision: 186724
- new version 2.2.21

* Tue Nov 22 2011 fwang <fwang> 2.2.0-1.mga2
+ Revision: 170906
- new version 2.2.0

* Sat Jun 25 2011 dmorgan <dmorgan> 2.0.3-2.mga2
+ Revision: 113794
- Rebuild against new gucharmap

* Fri Apr 15 2011 ahmad <ahmad> 2.0.3-1.mga1
+ Revision: 85548
- Update to 2.0.3
- Add BR libxml2-utils, needed for validating RELAX NG
- Add BR man, needed for checking manpages
- Add post/postun scriptlets for registring XML Catalog (thanks to Fedora for the
  exact syntax to do so)
- Add a patch to fix highlighting of block delimiters (Gnome bugs 643150 and 643153) (Fedora)
- Add workaround for crash on close (Gnome bug 637990) (Fedora)

* Sat Feb 26 2011 ennael <ennael> 2.0.2-1.mga1
+ Revision: 60083
- clean spec file
- imported package bluefish


* Thu Sep 16 2010 Funda Wang <fwang@mandriva.org> 2.0.2-1mdv2011.0
+ Revision: 578947
- new version 2.0.2

* Sun Jul 11 2010 Funda Wang <fwang@mandriva.org> 2.0.1-1mdv2011.0
+ Revision: 550547
- update to new version 2.0.1

* Wed Feb 17 2010 Funda Wang <fwang@mandriva.org> 2.0.0-2mdv2010.1
+ Revision: 507041
- rebuild

* Tue Feb 16 2010 Frederik Himpe <fhimpe@mandriva.org> 2.0.0-1mdv2010.1
+ Revision: 506846
- Update to new version 2.0.0
- Does not need gnome-vfs now, it uses gio

* Wed Feb 03 2010 Funda Wang <fwang@mandriva.org> 2.0.0-0.rc3.1mdv2010.1
+ Revision: 500037
- 2.0.0 rc3

  + Sandro Cazzaniga <kharec@mandriva.org>
    - fix licence to GPLv2+

* Sun Aug 09 2009 Oden Eriksson <oeriksson@mandriva.com> 1.0.7-6mdv2010.0
+ Revision: 413176
- rebuild

* Thu Mar 19 2009 Funda Wang <fwang@mandriva.org> 1.0.7-5mdv2009.1
+ Revision: 357816
- fix str fmt

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

* Thu Jun 12 2008 Pixel <pixel@mandriva.com> 1.0.7-5mdv2009.0
+ Revision: 218428
- rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Mon Jan 21 2008 Olivier Blin <oblin@mandriva.com> 1.0.7-5mdv2008.1
+ Revision: 155558
- fix titypo
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - fix "error: (...)there should be no extension as described in the Icon Theme Specification if the value is not an absolute path"
    - kill re-definition of %%buildroot on Pixel's request

* Sat Sep 01 2007 Funda Wang <fwang@mandriva.org> 1.0.7-4mdv2008.0
+ Revision: 77317
- Rebuild to obsolete old packages.

* Thu Aug 16 2007 Pascal Terjan <pterjan@mandriva.org> 1.0.7-3mdv2008.0
+ Revision: 64231
- Merge contrib and main packages
- Fix manpage listing
- Cosmetic fixes

* Fri Apr 20 2007 Eskild Hustvedt <eskild@mandriva.org> 1.0.7-1mdv2008.0
+ Revision: 16308
- New version 1.0.7


* Thu Sep 28 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.0.5-3mdv2007.0
- Fix BuildRequires

* Thu Sep 28 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.0.5-2mdv2007.0
- Use mkrel
- XDG

* Mon Mar 27 2006 Jerome Soyer <saispo@mandriva.org> 1.0.5-1mdk
- New release 1.0.5

* Sat Dec 10 2005 Eskild Hustvedt <eskild@mandriva.org> 1.0.4-1mdk
- New version 1.0.4

* Sun Jul 17 2005 Eskild Hustvedt <eskild@mandriva.org> 1.0.2-2mdk
- Drop ispell dependencies (fixes bug #15064)
- Spec cleanups

* Sat Jul 16 2005 Eskild Hustvedt <eskild@mandriva.org> 1.0.2-1mdk
- New version 1.0.2
- %%mkrel
- Drop COPYING (is in common-licenses)
- Drop Patch0
- Drop Patch1
- Fix menu

* Sun May 23 2004 Abel Cheung <deaddog@deaddog.org> 0.13-1mdk
- New version
- Patch0: No, bluefish doesn't need libintl, that's for OpenBSD!
- Patch1: Fix DESTDIR support
- Add many unreasonable buildrequires

* Fri Apr 30 2004 Götz Waschk <waschk@linux-mandrake.com> 0.12-4mdk
- build for new gettext

* Mon Feb 09 2004 Olivier Blin <blino@mandrake.org> 0.12-3mdk
- fix Summary and menu section (move to Internet/Web editors)
- fix date in previous changelog entry

* Fri Jan 30 2004 Nicolas Planel <nplanel@mandrakesoft.com> 0.12-2mdk
- remove from Networking/WWW menu.

* Tue Nov 25 2003 Abel Cheung <deaddog@deaddog.org> 0.12-1mdk
- 0.12
- Use ImageMagick to convert icons
- BuildRequires fix for 64bit arch
- Turn on bookmark feature

* Fri Oct 31 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 0.11-4mdk
- disable annoying splash screen

